# Fetch image links for second id

`POST /omni/get/images-second-id/v2`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

Returns seconnd id images temporary links for requested images. Links are valid for one hour

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | query | string |  |  |
| `api-version` | header | string | yes |  |

## Request body

Content-Type: `application/json`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `images` | array[string] | yes |  |

## Responses

### 200

For each requested image type, response contains line in format:

{imageType}: String (base64).

Base64 representation of image. Additionally, if signature image is requested, response will contain an array of all signatures.

### 400

Bad Request

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |
